Package org.eclipse.viatra.query.runtime.base.itc.alg.incscc

## Class CountingListener<V>

- java.lang.Object
- - org.eclipse.viatra.query.runtime.base.itc.alg.incscc.CountingListener<V>

- All Implemented Interfaces:
    `ITcObserver<V>`

      public class CountingListener<V>
      extends java.lang.Object
      implements ITcObserver<V>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CountingListener​(IncSCCAlg<V> alg)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `tupleDeleted​(V source, V target)` | Used to notify when a tuple is deleted from the transitive closure relation.
    `void` | `tupleInserted​(V source, V target)` | Used to notify when a tuple is inserted into the transitive closure relation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CountingListener

          public CountingListener​(IncSCCAlg<V> alg)

  - ### Method Detail

    - #### tupleInserted

          public void tupleInserted​(V source,
                                    V target)

      Description copied from interface: `ITcObserver`
      Used to notify when a tuple is inserted into the transitive closure relation.
      Specified by:
        `tupleInserted` in interface `ITcObserver<V>`
      Parameters:
        `source` - the source of the tuple
        `target` - the target of the tuple

    - #### tupleDeleted

          public void tupleDeleted​(V source,
                                   V target)

      Description copied from interface: `ITcObserver`
      Used to notify when a tuple is deleted from the transitive closure relation.
      Specified by:
        `tupleDeleted` in interface `ITcObserver<V>`
      Parameters:
        `source` - the source of the tuple
        `target` - the target of the tuple